%define prefix /usr
%define name kapow
%define version 1.5.10
%define release %mkrel 1
%define url http://gottcode.org/kapow/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Office
URL:		%{url}
Source:		http://gottcode.org/kapow/%{name}-%{version}.tar.xz
Summary:	Kapow is a punch clock program
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:  %{_lib}qt5svg-devel
Obsoletes:	%name < %version

%description
Kapow is a punch clock program designed to easily keep track of your hours, whether you’re working on one project or many. Simply clock in and out with the Start/Stop button. If you make a mistake in your hours, you can go back and edit any of the entries by double-clicking on the session in question. Kapow also allows you to easily keep track of the hours since you last billed a client, by providing a helpful “Billed” checkbox—the totals will reflect your work after the last billed session. 


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


#mkdir -p %{buildroot}%{_datadir}/applications
#cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
#[Desktop Entry]
#Type=Application
#Name=Connectagram
#GenericName=Connectagram Game
#GenericName[de]=Connectagram Spiel
#Comment=%{summary}
#Comment[de]=%{summary}
#Icon=%{name}
#Exec=%{name} %F
#Terminal=false
#Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
#EOF


%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING CREDITS README ChangeLog 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/metainfo/%{name}.appdata.xml*
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/%{name}.*.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Jan 21 2022 daniel <> 1.5.10.1-1pclos2022
- initial packages
